Subject: Re: [PATCH v3 bpf-next 5/7] libbpf: move bpf_{helpers,endian,tracing}.h into libbpf

From: Jiri Benc <[email-masked]>
Date: Tue, 8 Oct 2019 17:37:09 +0200

On Fri, 4 Oct 2019 18:37:44 +0000, Yonghong Song wrote:
> distro can package bpf/btf uapi headers into libbpf package.
> Users linking with libbpf.a/libbpf.so can use bpf/btf.h with include
> path pointing to libbpf dev package include directory.
> Could this work?

I don't think it would. Distros have often a policy against bundling
files that are available from one package (in this case, kernel-headers
or similar) in a different package (libbpf).

The correct way is making the libbpf package depend on a particular
version of kernel-headers (or newer). As I said, I don't see a problem
here. It's not a special situation, it's just usual dependencies.

 Jiri